credentials.update
Replace the value.
Reference
PUT/api/v1/credentials/{credential_uuid}
- Auth
- API key in
X-API-Key - Content
- application/json
- Returns
- 200 · CredentialResponse
Update a webhook credential. Args: credential_uuid: The UUID of the credential to update request: The update request Returns: The updated credential (without sensitive data)
Arguments
| Argument | In | Type | Required | Description |
|---|---|---|---|---|
credential_uuid | path | string | required | |
name | body | string | optional | |
description | body | string | optional | |
credential_type | body | "none" | "api_key" | "bearer_token" | "basic_auth" | "custom_header" | "oauth2" | optional | |
credential_data | body | object | optional |
Example request
curl -X PUT "https://api.decibyl.ai/api/v1/credentials/<credential_uuid>" \
-H "X-API-Key: dcb_your_key" \
-H "Content-Type: application/json" \
-d '{"name":"string","description":"string","credential_type":"none","credential_data":{}}'Response
{
"uuid": "string",
"name": "string",
"description": "string",
"credential_type": "string",
"created_at": "2026-09-14T09:30:00Z",
"updated_at": "2026-09-14T09:30:00Z"
}Errors
| Status | When |
|---|---|
404 | Not found |
422 | Validation Error |